-- Set StableGuy Window Positions
local Settings = Turbine.PluginData.Load(Turbine.DataScope.Character, "StableGuySettings")  or {};
local WindX,WindY=Turbine.UI.Display:GetWidth()/2-100,Turbine.UI.Display:GetHeight()/2-100;

-- Create Window
if Settings~=nil then
	if Settings["WindPosX"]~=nil then WindX=Settings["WindPosX"] end
	if Settings["WindPosY"]~=nil then WindY=Settings["WindPosY"] end
end
wStableGuy = Turbine.UI.Lotro.Window(); -- Parent window to hold the drop down menus.
wStableGuy:SetSize(525,375);
wStableGuy:SetPosition(WindX,WindY);
wStableGuy:SetText("StableGuy");
if Settings~=nil then
--	if Settings["WindState"]~=nil then wStableGuy:SetVisible(true) end
	wStableGuy:SetVisible(Settings["WindState"])
end

-- Create Waypoint Button
wStableGuy.WaypointButton=Turbine.UI.Lotro.Button();
wStableGuy.WaypointButton:SetParent(wStableGuy);
wStableGuy.WaypointButton:SetSize(100,30);
wStableGuy.WaypointButton:SetPosition(wStableGuy:GetWidth()-510,wStableGuy:GetHeight()-65);
wStableGuy.WaypointButton:SetText("Waypoint");

-- Create Waypoint Help Button
wStableGuy.WaypointHelpButton=Turbine.UI.Lotro.Button();
wStableGuy.WaypointHelpButton:SetParent(wStableGuy);
wStableGuy.WaypointHelpButton:SetSize(10,30);
wStableGuy.WaypointHelpButton:SetPosition(wStableGuy:GetWidth()-410,wStableGuy:GetHeight()-65);
wStableGuy.WaypointHelpButton:SetText("?");
wStableGuy.WaypointHelpButton.MouseClick=function()
	Turbine.Shell.WriteLine("<rgb=#ffffff>Download Lunarwater's Waypoint from www.lotrointerface.com</rgb>");
end

Waypointqs=Turbine.UI.Lotro.Quickslot();
Waypointqs:SetParent(wStableGuy.WaypointButton);
Waypointqs:SetSize(wStableGuy.WaypointButton:GetWidth()+31,wStableGuy.WaypointButton:GetHeight()+31);
Waypointqs:SetPosition(-34,-35);
Waypointqs:SetAllowDrop(false);
Waypointqs.DragDrop=function(sender)
	local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
	sc:SetData("Waypoint");
	sender:SetShortcut(sc);
	Turbine.Shell.WriteLine(sc);
end

-- Create Waypoint Hide Button
wStableGuy.WaypointHideButton=Turbine.UI.Lotro.Button();
wStableGuy.WaypointHideButton:SetParent(wStableGuy);
wStableGuy.WaypointHideButton:SetSize(100,30);
wStableGuy.WaypointHideButton:SetPosition(wStableGuy:GetWidth()-510,wStableGuy:GetHeight()-40);
wStableGuy.WaypointHideButton:SetText("Hide");

WaypointHideqs=Turbine.UI.Lotro.Quickslot();
WaypointHideqs:SetParent(wStableGuy.WaypointHideButton);
WaypointHideqs:SetSize(wStableGuy.WaypointHideButton:GetWidth()+50,wStableGuy.WaypointHideButton:GetHeight()+31);
WaypointHideqs:SetPosition(-34,-35);
WaypointHideqs:SetAllowDrop(false);
WaypointHideqs.DragDrop=function(sender)
	local sc=Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias,"");
	sc:SetData("Waypoint");
	sender:SetShortcut(sc);
	Turbine.Shell.WriteLine(sc);
end
WaypointHideqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, "/way hide"));
WaypointHideqs.AliasText="/way hide";

-- Create About Button
wStableGuy.AboutButton=Turbine.UI.Lotro.Button();
wStableGuy.AboutButton:SetParent(wStableGuy);
wStableGuy.AboutButton:SetSize(100,30);
wStableGuy.AboutButton:SetPosition(wStableGuy:GetWidth()-115,wStableGuy:GetHeight()-40);
wStableGuy.AboutButton:SetText("About");
wStableGuy.AboutButton.MouseClick=function()
-- Optional Popup Window
--	wStableGuy.About = Turbine.UI.Lotro.Window();
--	wStableGuy.About:SetSize(450,200);
--	wStableGuy.About:SetPosition(WindX+150,WindY+150);
--	wStableGuy.About:SetText("About");
--	wStableGuy.About:SetVisible()	
--
	Turbine.Shell.WriteLine("<rgb=#8888ff>StableGuy " .. version .. " By Radicus Hood</rgb>");
	Turbine.Shell.WriteLine("<rgb=#fffffff>If you love this plugin, please make a donation to:");
	Turbine.Shell.WriteLine("<rgb=#888888>(PayPal) <rgb=#e9e230>paul@anotherworld.com.au</rgb> <rgb=#ffffff>or</rgb> <rgb=#888888>(BitCoin) <rgb=#e9e230>12PoPSt2VSabwD5VLwRrxzGfwVVkAr3m2b</rgb>");

end

function WriteText(text,ypos)
	labelAbout = Turbine.UI.Label();
	labelAbout:SetParent(wStableGuy.About);
	labelAbout:SetText(text);	
	labelAbout:SetPosition(wStableGuy.About:GetWidth()/4-wStableGuy.About:GetWidth()/4,ypos)
	labelAbout:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	labelAbout:SetForeColor(Turbine.UI.Color(1,1,0));
	labelAbout:SetSize(wStableGuy.About:GetWidth(),20);
	labelAbout:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
end

-- Create Find Closest Stable Button
wStableGuy.ClosestButton=Turbine.UI.Lotro.Button();
wStableGuy.ClosestButton:SetParent(wStableGuy);
wStableGuy.ClosestButton:SetSize(190,30);
wStableGuy.ClosestButton:SetPosition(wStableGuy:GetWidth()/4+40,wStableGuy:GetHeight()-40);
wStableGuy.ClosestButton:SetText("Find Closest StableMaster");
wStableGuy.ClosestButton.MouseClick=function()
-- Optional Popup Window
--	wStableGuy.Closest = Turbine.UI.Lotro.Window();
--	wStableGuy.Closest:SetSize(250,200);
--	wStableGuy.Closest:SetPosition(WindX+150,WindY+150);
--	wStableGuy.Closest:SetText("Coming Soon!");
--	wStableGuy.Closest:SetVisible()
	Turbine.Shell.WriteLine("<rgb=#8888ff>Coming Soon!</rgb>");
end

-- Create VIP Checkbox
--wStableGuy.checkboxVIP = Turbine.UI.Lotro.CheckBox();
--wStableGuy.checkboxVIP:SetPosition(17,ypos);
--wStableGuy.checkboxVIP:SetCheckAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
--wStableGuy.checkboxVIP:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
--wStableGuy.checkboxVIP:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
--wStableGuy.checkboxVIP:SetForeColor(Turbine.UI.Color(1,1,0));
--wStableGuy.checkboxVIP:SetText(" " .. "VIP - Swift Travel Priority - Coming Soon!");
--wStableGuy.checkboxVIP:SetParent(wStableGuy);
--wStableGuy.checkboxVIP:SetSize(475,20);
--if Settings["VIPState"]==true then
--	wStableGuy.checkboxVIP:SetChecked(true);
--end

-- Create Lists
ystart = 35;
ypos = ystart;
xpos = -105;
yinc = 25;

-- From Label
label = "From Locations"; 
labelStableMasters = Turbine.UI.Label();
labelStableMasters:SetParent(wStableGuy);
labelStableMasters:SetText(label);	
labelStableMasters:SetPosition(wStableGuy:GetWidth()/4,ypos)
labelStableMasters:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
labelStableMasters:SetForeColor(Turbine.UI.Color(1,1,0));
labelStableMasters:SetSize(wStableGuy:GetWidth()/2,20);
labelStableMasters:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);


-- From Region
ypos = ystart + 25
ddStableMasterFromRegion = DropDown.Create(REGION);
ddStableMasterFromRegion:SetParent(wStableGuy);
ddStableMasterFromRegion:SetPosition(ddStableMasterFromRegion:GetWidth()/4+xpos,ypos);
ddStableMasterFromRegion:SetVisible(true);
ddStableMasterFromRegion:SetMenuColor(Turbine.UI.Color(.1,.1,.1,.1));
ddStableMasterFromRegion:SetBorderColor(Turbine.UI.Color(.2,.2,.2));
ddStableMasterFromRegion:SetLabel("Region");
ddStableMasterFromRegion.ItemChanged = function ()
	r = ddStableMasterFromRegion;
	LocationSet("Region Set To", r);
	ChangeFromList(r);
end

-- From Region Options
ypos = ystart + 50
ddStableMasterFrom = DropDown.Create(BLANK);
ddStableMasterFrom:SetParent(wStableGuy);
ddStableMasterFrom:SetPosition(ddStableMasterFrom:GetWidth()/4+xpos,ypos);
ddStableMasterFrom:SetVisible(true);
ddStableMasterFrom:SetMenuColor(Turbine.UI.Color(.1,.1,.1,.1));
ddStableMasterFrom:SetBorderColor(Turbine.UI.Color(.2,.2,.2));
ddStableMasterFrom:SetLabel("Region Options")
ddStableMasterFrom.ItemChanged = function ()
	s = ddStableMasterFrom;
	LocationSet("From", s);
end


-- To Destinations Label
ypos=ystart+75;
label = "To Destinations";
labelToDestinations = Turbine.UI.Label();
labelToDestinations:SetParent(wStableGuy);
labelToDestinations:SetText(label);	
labelToDestinations:SetPosition(wStableGuy:GetWidth()/4,ypos)
labelToDestinations:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
labelToDestinations:SetForeColor(Turbine.UI.Color(1,1,0));
labelToDestinations:SetSize(wStableGuy:GetWidth()/2,20);
labelToDestinations:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);

-- To Destination Region
ypos=ystart+100;
ddStableMasterToRegion = DropDown.Create(REGION); 
ddStableMasterToRegion:SetParent(wStableGuy);
ddStableMasterToRegion:SetPosition(ddStableMasterToRegion:GetWidth()/4+xpos,ypos);
ddStableMasterToRegion:SetVisible(true);
ddStableMasterToRegion:SetMenuColor(Turbine.UI.Color(.1,.1,.1,.1));
ddStableMasterToRegion:SetBorderColor(Turbine.UI.Color(.2,.2,.2));
ddStableMasterToRegion:SetLabel("Region");
ddStableMasterToRegion.ItemChanged = function ()
	r = ddStableMasterToRegion;
	LocationSet("Region Set To", r);
	ChangeToList(r);
end

-- To Destination Region Options
ypos=ystart+125;
ddStableMasterTo = DropDown.Create(BLANK);
ddStableMasterTo:SetParent(wStableGuy);
ddStableMasterTo:SetPosition(ddStableMasterTo:GetWidth()/4+xpos,ypos);
ddStableMasterTo:SetVisible(true);
ddStableMasterTo:SetMenuColor(Turbine.UI.Color(.1,.1,.1,.1));
ddStableMasterTo:SetBorderColor(Turbine.UI.Color(.2,.2,.2));
ddStableMasterTo:SetLabel("Region Options")
ddStableMasterTo.ItemChanged = function ()
	d = ddStableMasterTo;
	LocationSet("To", d);
end

-- Change From Region
function ChangeFromList(x)
	if x:GetText() == "Anorien After Battle" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Anorien_After_Battle);
	end
	if x:GetText() == "Angmar" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Angmar);
	end
	if x:GetText() == "Bree Land" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Bree_Land);
	end
	if x:GetText() == "Central Gondor" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Central_Gondor);
	end
	if x:GetText() == "Dunland" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Dunland);
	end
	if x:GetText() == "Eastern Gondor" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Eastern_Gondor);
	end
	if x:GetText() == "East Rohan" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_East_Rohan);
	end
	if x:GetText() == "Enedwaith" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Enedwaith);
	end
	if x:GetText() == "Ered Luin" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Ered_Luin);
	end
	if x:GetText() == "Ered Mithrin" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Ered_Mithrin);
	end
	if x:GetText() == "Eregion" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Eregion);
	end
	if x:GetText() == "Eryn Lasgalen" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Eryn_Lasgalen);
	end
	if x:GetText() == "Ettenmoors" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Ettenmoors);
	end
	if x:GetText() == "Evendim" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Evendim);
	end
	if x:GetText() == "Far Anorien" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Far_Anorien);
	end
	if x:GetText() == "Forochel" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Forochel);
	end
	if x:GetText() == "Gap of Rohan" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Gap_Of_Rohan);
	end
	if x:GetText() == "Great River" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Great_River);
	end
	if x:GetText() == "Iron Hills" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Iron_Hills);
	end
	if x:GetText() == "Lone Lands" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Lone_Lands);
	end
	if x:GetText() == "Lothlorien" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Lothlorien);
	end
	if x:GetText() == "Mirkwood" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Mirkwood);
	end
	if x:GetText() == "Misty Mountains" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Misty_Mountains);
	end
	if x:GetText() == "Mordor" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Mordor);
	end
	if x:GetText() == "Mordor Besieged" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Mordor_Besieged);
	end
	if x:GetText() == "Moria" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Moria);
	end
	if x:GetText() == "Nan Curunir" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Nan_Curunir);
	end
	if x:GetText() == "North Downs" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_North_Downs);
	end
	if x:GetText() == "North Ithilien" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_North_Ithilien);
	end
	if x:GetText() == "Old Anorien" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Old_Anorien);
	end
	if x:GetText() == "Shire" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Shire);
	end
	if x:GetText() == "The Wastes" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_The_Wastes);
	end
	if x:GetText() == "Trollshaws" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Trollshaws);
	end
	if x:GetText() == "Vales of Anduin" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Vales_of_Anduin);
	end
	if x:GetText() == "Wells of Langflood" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Wells_of_Langflood);
	end
	if x:GetText() == "West Rohan" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_West_Rohan);
	end
	if x:GetText() == "Western Gondor" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Western_Gondor);
	end
	if x:GetText() == "Wildermore" then
		ddStableMasterFrom = DropDown.Create(LOCATIONS_Wildermore);
	end

	ddStableMasterFrom.ItemChanged = function ()
		s = ddStableMasterFrom;
		LocationSet("From", s);
	end
	StableMasterFromDefault();

end

-- Reset From To Default
function StableMasterFromDefault()
	ddStableMasterFrom:SetLabel("Region Options");
	ddStableMasterFrom:SetParent(wStableGuy);
	ddStableMasterFrom:SetPosition(ddStableMasterTo:GetWidth()/4+xpos,ystart+50);
	ddStableMasterFrom:SetVisible(true);
end

-- Change To Region
function ChangeToList(x)
	if x:GetText() == "Anorien After Battle" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Anorien_After_Battle);
	end
	if x:GetText() == "Angmar" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Angmar);
	end
	if x:GetText() == "Bree Land" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Bree_Land);
	end
	if x:GetText() == "Central Gondor" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Central_Gondor);
	end
	if x:GetText() == "Dunland" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Dunland);
	end
	if x:GetText() == "Eastern Gondor" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Eastern_Gondor);
	end
	if x:GetText() == "East Rohan" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_East_Rohan);
	end
	if x:GetText() == "Enedwaith" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Enedwaith);
	end
	if x:GetText() == "Ered Luin" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Ered_Luin);
	end
	if x:GetText() == "Eregion" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Eregion);
	end
	if x:GetText() == "Ered Mithrin" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Ered_Mithrin);
	end
	if x:GetText() == "Eryn Lasgalen" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Eryn_Lasgalen);
	end
	if x:GetText() == "Ettenmoors" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Ettenmoors);
	end
	if x:GetText() == "Evendim" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Evendim);
	end
	if x:GetText() == "Far Anorien" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Far_Anorien);
	end
	if x:GetText() == "Forochel" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Forochel);
	end
	if x:GetText() == "Gap of Rohan" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Gap_Of_Rohan);
	end
	if x:GetText() == "Great River" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Great_River);
	end
	if x:GetText() == "Iron Hills" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Iron_Hills);
	end
	if x:GetText() == "Lone Lands" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Lone_Lands);
	end
	if x:GetText() == "Lothlorien" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Lothlorien);
	end
	if x:GetText() == "Mirkwood" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Mirkwood);
	end
	if x:GetText() == "Misty Mountains" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Misty_Mountains);
	end
	if x:GetText() == "Mordor" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Mordor);
	end
	if x:GetText() == "Mordor Besieged" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Mordor_Besieged);
	end
	if x:GetText() == "Moria" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Moria);
	end
	if x:GetText() == "Nan Curunir" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Nan_Curunir);
	end
	if x:GetText() == "North Downs" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_North_Downs);
	end
	if x:GetText() == "North Ithilien" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_North_Ithilien);
	end
	if x:GetText() == "Old Anorien" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Old_Anorien);
	end
	if x:GetText() == "Shire" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Shire);
	end
	if x:GetText() == "The Wastes" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_The_Wastes);
	end
	if x:GetText() == "Trollshaws" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Trollshaws);
	end
	if x:GetText() == "Vales of Anduin" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Vales_of_Anduin);
	end
	if x:GetText() == "Wells of Langflood" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Wells_of_Langflood);
	end
	if x:GetText() == "West Rohan" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_West_Rohan);
	end
	if x:GetText() == "Western Gondor" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Western_Gondor);
	end
	if x:GetText() == "Wildermore" then
		ddStableMasterTo = DropDown.Create(LOCATIONS_Wildermore);
	end

	ddStableMasterTo.ItemChanged = function ()
		d = ddStableMasterTo;
		LocationSet("To", d);
	end
	StableMasterToDefault();
end

-- Reset To Default
function StableMasterToDefault()
	ddStableMasterTo:SetLabel("Region Options");
	ddStableMasterTo:SetParent(wStableGuy);
	ddStableMasterTo:SetPosition(ddStableMasterTo:GetWidth()/4+xpos,ystart+125);
	ddStableMasterTo:SetVisible(true);
	WayPointToDefault();
end

-- Reset Waypoint data to nil
function WayPointToDefault()
	Waypointqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, ""));
	Waypointqs.AliasText="";
end

-- Raids Menu
ypos=ypos+yinc+yinc;
ddRaidLocations = DropDown.Create(RAIDS);
ddRaidLocations:SetParent(wStableGuy);
ddRaidLocations:SetPosition(ddRaidLocations:GetWidth()/4+xpos,ypos);
ddRaidLocations:SetVisible(true);
ddRaidLocations:SetMenuColor(Turbine.UI.Color(.1,.1,.1,.1));
ddRaidLocations:SetBorderColor(Turbine.UI.Color(.2,.2,.2));
ddRaidLocations:SetLabel("Raids & Instances")
ddRaidLocations.ItemChanged = function ()
	d = ddRaidLocations;
	LocationSet("To", d);
end

-- Warbands Menu
ypos=ypos+yinc;
ddWarbands = DropDown.Create(WARBANDS);
ddWarbands:SetParent(wStableGuy);
ddWarbands:SetPosition(ddWarbands:GetWidth()/4+xpos,ypos);
ddWarbands:SetVisible(true);
ddWarbands:SetMenuColor(Turbine.UI.Color(.1,.1,.1,.1));
ddWarbands:SetBorderColor(Turbine.UI.Color(.2,.2,.2));
ddWarbands:SetLabel("Warbands")
ddWarbands.ItemChanged = function ()
	d = ddWarbands;
	LocationSet("To", d);
end

-- Places of Interest Menu
ypos=ypos+yinc;
ddPlacesOfInterest = DropDown.Create(POI);
ddPlacesOfInterest:SetParent(wStableGuy);
ddPlacesOfInterest:SetPosition(ddPlacesOfInterest:GetWidth()/4+xpos,ypos);
ddPlacesOfInterest:SetVisible(true);
ddPlacesOfInterest:SetMenuColor(Turbine.UI.Color(.1,.1,.1,.1));
ddPlacesOfInterest:SetBorderColor(Turbine.UI.Color(.2,.2,.2));
ddPlacesOfInterest:SetLabel("Places of Interest")
ddPlacesOfInterest.ItemChanged = function ()
	d = ddPlacesOfInterest;
	LocationSet("To", d);
end

-- Create Reset Checkbox
ypos=ypos+yinc;
checkboxReset = Turbine.UI.Lotro.CheckBox();
checkboxReset:SetPosition(17,ypos);
checkboxReset:SetCheckAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
checkboxReset:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft);
checkboxReset:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
checkboxReset:SetForeColor(Turbine.UI.Color(1,1,0));
checkboxReset:SetText(" " .. "Reset Lists After Search");
checkboxReset:SetParent(wStableGuy);
checkboxReset:SetSize(300,20);

-- Create Calculate Button
ypos=ypos+yinc;
wStableGuy.GoButton=Turbine.UI.Lotro.Button();
wStableGuy.GoButton:SetParent(wStableGuy);
wStableGuy.GoButton:SetSize(190,30);
wStableGuy.GoButton:SetPosition(wStableGuy:GetWidth()/4+40,ypos)
wStableGuy.GoButton:SetText("Calculate Shortest Route");

wStableGuy.GoButton.MouseClick=function()
	if ddStableMasterFrom:GetText() == "Region Options" then
		Turbine.Shell.WriteLine("<rgb=#ff2222>Error:</rgb> No From Location Selected!")
	else
		if ddStableMasterTo:GetText() == "Region Options" and
			ddRaidLocations:GetText() == "Raids & Instances" and
			ddPlacesOfInterest:GetText() == "Places of Interest" and
			ddWarbands:GetText() == "Warbands" then
			Turbine.Shell.WriteLine("<rgb=#ff2222>Error:</rgb> No To Location Selected!")
		else			
			Turbine.Shell.WriteLine("\n<rgb=#22ff22>Route Found! Use Swift Travel over Standard Travel when available, walk or ride to destination if no travel options are available.</rgb>");
			FindRoute(s:GetText(), d:GetText());
			if checkboxReset:IsChecked() then
				ddStableMasterFromRegion:SetLabel("Region");
				ddStableMasterFrom:SetLabel("Region Options");
				ddStableMasterToRegion:SetLabel("Region");
				ddStableMasterTo:SetLabel("Region Options");
				ddRaidLocations:SetLabel("Raids & Instances");
				ddPlacesOfInterest:SetLabel("Places of Interest");
				ddWarbands:SetLabel("Warbands");
				ddStableMasterFrom = DropDown.Create(BLANK);
				StableMasterFromDefault();
				ddStableMasterTo = DropDown.Create(BLANK);
				StableMasterToDefault();
			end
		end
	end
end

-- Display Selection
function LocationSet(fromto, loc)
	Turbine.Shell.WriteLine("<rgb=#55aaaa>" .. fromto .. " </rgb>" .. loc:GetText());
	-- Lunarwater's Waypoint Integration
	Waypointqs:SetShortcut(Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, "/way target " .. loc:GetText()));
	Waypointqs.AliasText="/way target " .. loc:GetText();
end

 